<?php
	// Tenta se conectar ao servidor MySQL
	include $_SERVER["DOCUMENT_ROOT"].'/inc/conexao.php';
	include $_SERVER["DOCUMENT_ROOT"].'/inc/functions.php';
	$cfg = $_SESSION["configs"];

	// ini_set('display_errors',1);
	// ini_set('display_startup_erros',1);
	// error_reporting(E_ALL);

	$urlbase = $_SERVER['SERVER_NAME'].$_SERVER ['REQUEST_URI'];
	$parts = parse_url($urlbase);
	parse_str($parts['query'], $query);
	$_GET = $query;
	$token = $_GET["token"];
	$match_id = $_GET["match_id"];

	// Verifica type e permissões
	if(!isset($_GET["token"])){ $ret['error'] = 'Token inexistente ou invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtype'; finishJSONRequest($ret); }

	// Retorno
	$ret = array();
	$ret['date'] = date('Y-m-d H:i:s');

	// Pesquisa usuário
	$sql = $mysqli->query("SELECT usuario_id, usuario_permissoes, usuario_nome FROM usuarios WHERE usuario_api_token = '$token'");
	if(mysqli_num_rows($sql) == 0 || !isset($_GET["token"]) || $_GET["token"] == ''){ $ret['error'] = 'TOKEN invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtype'; finishJSONRequest($ret); }

	// Pega dados do usuario
	$u = $sql->fetch_assoc();
	$userid = $u["usuario_id"];
	$perms = explode('-', $u["usuario_permissoes"]);

	// Verifica type e permissões
	if(!in_array('15', $perms)){ $ret['error'] = 'Você não possui permissões suficientes para gerenciar partidas manuais.'; $ret['status'] = 'error'; $ret['status_code'] = 'invalidPerm'; finishJSONRequest($ret); }

	// Pesquisa
	$ret = array();
	$sql = $mysqli->query("SELECT * FROM jogos ORDER BY jogo_id DESC");
	$i = 0;
	while ($j = $sql->fetch_assoc()) {
		$ret['matches'][$i]['id'] = $j["jogo_id"];
		$ret['matches'][$i]['sport'] = utf8_encode($j["jogo_esporte"]);
		$ret['matches'][$i]['country'] = utf8_encode($j["jogo_pais"]);
		$ret['matches'][$i]['name'] = utf8_encode($j["jogo_nome"]);
		$ret['matches'][$i]['event'] = utf8_encode($j["jogo_campeonato"]);
		$ret['matches'][$i]['status'] = utf8_encode($j["jogo_status"]);
		$ret['matches'][$i]['date'] = desfazDatetime($j["jogo_data"]);
		$ret['matches'][$i]['odds'] = $j["jogo_casa"].' | '.$j["jogo_empate"].' | '.$j["jogo_visitante"];
		$i++;
	}

	echo json_encode($ret);
?>